Subject: [PATCH 3/3] Replace __S_IEXEC with S_IXUSR

--- a/daemon/lookup.c
+++ b/daemon/lookup.c
@@ -397,7 +397,7 @@
 		return NSS_STATUS_NOTFOUND;
 	}
 
-	if (st.st_mode & __S_IEXEC)
+	if (st.st_mode & S_IXUSR)
 		type = src_prog;
 	else
 		type = src_file;
@@ -930,7 +930,7 @@
 		return NSS_STATUS_NOTFOUND;
 	}
 
-	if (st.st_mode & __S_IEXEC)
+	if (st.st_mode & S_IXUSR)
 		type = src_prog;
 	else
 		type = src_file;
@@ -1077,7 +1077,7 @@
 	if (!S_ISREG(st.st_mode))
 		return NULL;
 
-	if (st.st_mode & __S_IEXEC)
+	if (st.st_mode & S_IXUSR)
 		type = "program";
 	else
 		type = "file";
--- a/modules/lookup_multi.c
+++ b/modules/lookup_multi.c
@@ -247,7 +247,7 @@ static struct lookup_mod *nss_open_lookup(const char *format, int argc, const ch
 				continue;
 			}
 
-			if (st.st_mode & __S_IEXEC)
+			if (st.st_mode & S_IXUSR)
 				type = src_prog;
 			else
 				type = src_file;
@@ -452,7 +452,7 @@ int lookup_reinit(const char *my_mapfmt,
 					continue;
 				}
 
-				if (st.st_mode & __S_IEXEC)
+				if (st.st_mode & S_IXUSR)
 					type = src_prog;
 				else
 					type = src_file;
